Agda-2.8.0: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Utils.Fail

Description

A pure MonadFail.

# Documentation

newtype Fail a Source #

Constructors

Fail |

Fields

- runFail :: Either String a

#### Instances

Instances details

Applicative Fail Source # |
Instance details Defined in Agda.Utils.Fail Methods pure :: a -> Fail a Source # (<*>) :: Fail (a -> b) -> Fail a -> Fail b Source # liftA2 :: (a -> b -> c) -> Fail a -> Fail b -> Fail c Source # (*>) :: Fail a -> Fail b -> Fail b Source # (<*) :: Fail a -> Fail b -> Fail a Source #
Functor Fail Source # |
Instance details Defined in Agda.Utils.Fail Methods fmap :: (a -> b) -> Fail a -> Fail b Source # (<$) :: a -> Fail b -> Fail a Source #
Monad Fail Source # |
Instance details Defined in Agda.Utils.Fail Methods (>>=) :: Fail a -> (a -> Fail b) -> Fail b Source # (>>) :: Fail a -> Fail b -> Fail b Source # return :: a -> Fail a Source #
MonadFail Fail Source # |
Instance details Defined in Agda.Utils.Fail Methods fail :: String -> Fail a Source #

runFail_ :: Fail a -> a Source #